Package org.eclipse.mat.ui.internal.diagnostics

# Class DiagnosticsSelectionWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.mat.ui.internal.diagnostics.DiagnosticsSelectionWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

public class DiagnosticsSelectionWizardPage extends WizardPage
Select which diagnostic to perform

## Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`DiagnosticsSelectionWizardPage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
`DiagnosticsAction`
`getSelectedAction()`
`boolean`
`isPageComplete()`
`void`
`performHelp()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### DiagnosticsSelectionWizardPage

public DiagnosticsSelectionWizardPage()

## Method Details

### createControl

public void createControl(Composite parent)

### performHelp

public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`

### isPageComplete

public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

### getSelectedAction

public DiagnosticsAction getSelectedAction()